Subject: Re: [iccrg] Maybe skipping Prague...

From: Bob Briscoe <[email-masked]>
Date: Tue, 11 Jul 2017 10:32:30 +0100

ICCRG (List and Chairs),

As promised (ages ago - below), we have just posted a discussion paper 
that identifies 6 tensions between the steady-state scaling requirements 
for a CC, and proposes solutions to most of them and compromises between 
others. It also contributes to the ongoing discussion on relaxing the 
'fairness' constraint into an anti-starvation constraint.

The intention is to support discussion planned for the Prague ICCRG 
meeting, so if you're interested in this discussion, pls try to read it 
beforehand.

Discussion paper: “Resolving Tensions Between Congestion Control Scaling 
Requirements 
<https://riteproject.files.wordpress.com/2015/10/ccdi_tr.pdf>“, Bob 
Briscoe (Simula) and Koen De Schepper (Nokia Bell Labs), Simula 
Technical Report TR-CS-2016-001 (July 2017).

Bob

PS. The paper is also available via the L4S project page here:
https://riteproject.eu/dctth/#papers

On 19/04/17 11:40, Bob Briscoe wrote:
> Michael,
>
> We (Koen De Schepper and I) are about to post a tech report to the 
> iccrg list, which identifies 6 tensions between the scaling 
> requirements for a CC, and proposes solutions to most of them and 
> compromises between others. This is in the context of the "TCP Prague 
> requirements".
>
> Initially, the scope of the report is confined to scaling the 
> steady-state, but some of the criteria are intended to help the 
> dynamics to scale.
> We are using a tech report format, rather than an internet-draft, 
> purely so the equations are more easily readable, and so we can 
> include plots, figures, etc. It's only simple algebra - no 
> differential equations.
>
> If there's no iccrg meeting, I guess we could arrange a meeting 
> specifically about TCP Prague. However, reaching consensus on the 
> compromises seems like the main "pre-standards" role of the ICCRG, so 
> we were hoping to get discussion going on the list, then to try to 
> reach consensus in a f2f iccrg meeting. The downside of a 
> TCP-Prague-specific meeting might be "selection bias" in the 
> consensus, because only people who agree with the premis on which TCP 
> Prague is based will tend to turn up.
>
> It would have been nice to do this in Prague, given this is about "TCP 
> Prague" :)
>
>
>
> Bob
>
> PS. Sorry we hadn't already flagged that these ideas for the next 
> ICCRG mtg were in our heads.
>
>
> On 19/04/17 08:19, Michael Welzl wrote:
>> Hi all,
>>
>> We chairs are thinking of maybe not having an ICCRG meeting in Prague.
>> If you dearly wish to have a session, e.g. because you were planning 
>> to present or discuss something, please do send us a note ASAP; if we 
>> get enough such notes, there will be a meeting.
>>
>> Cheers,
>> Michael
>>
>> _______________________________________________
>> iccrg mailing list
>> [email-masked]
>> https://www.irtf.org/mailman/listinfo/iccrg
>

-- 
________________________________________________________________
Bob Briscoe                               http://bobbriscoe.net/